import Vue from 'vue'
import App from './App'
import service from './api/index.js'
import utils from './common/utils.js'
import http from './common/http.js'
import lodash from './common/lodash.min.js'
// 引入全局uView
import uView from 'uview-ui';
Vue.use(uView);
Vue.config.productionTip = false
//返回上一页按钮
import back from '@/components/back.vue'
Vue.component('back',back)

//弹窗
import mingPop from '@/components/ming-pop/ming-pop.vue'
Vue.component("ming-pop",mingPop)

// 挂载全局图片地址
Vue.prototype.$HTTP = http

// 挂载全局函数 
Vue.prototype.$UTILS = utils

App.mpType = 'app'
 
const app = new Vue({
    ...App
})
app.$mount()

// // #ifndef VUE3
// // #endif

// // #ifdef VUE3
// // #endif